> **Definition of reproducible research**

> The literature is rife with confused and sometimes contradictory meanings for reproducible research, reproducibility, replicability, repetition, etc. 
> It is thus worth clarifying what we mean by these terms. 
> The phrase "reproducible research" in reference to computational studies that can be reproduced by other scientists was introduced by geophysics professor Jon Claerbout in the 1990s. 
> An early volume of CiSE published an article about the reproducible-research environment they created in his group at Stanford \citep{schwab2000}.
> Their goal was complete documentation of scientific computations, in such a way that a reader can reproduce all the results and figures in a paper using the author-provided computer programs and raw data. 
> This ability requires open data and open-source software, and for this reason the _reproducibility_ movement is closely linked with the _open science_ movement. 
> In following years, the term _replication_ was distinctly adopted to refer to an independent study, re-running experiments to generate new data that, when analyzed, leads to the same findings. 
> We follow this convention, clarified more recently in an article in Science \citep{peng2011}.
> 
> **Reproducible research**--- Authors of a study provide their code and data, allowing readers to inspect and re-run the analysis to recreate the figures in the paper. 
> Reproducible research makes replication easier.  
> **Replication**--- An independent study that generates new data, using similar or different methods, and analyzes it to arrive at the same scientific findings as the original study.
> 
> CiSE has dedicated two theme issues to reproducibility: January/ February 2009 and July/August 2012.
